package domain

type AlibabaWdkMarketingItemdiscountQueryitemsLimitInfo struct {
	/*
	   活动期间总限购     */
	TotalLimitCnt *int64 `json:"total_limit_cnt,omitempty" `

	/*
	   每人活动期间总限购     */
	UserLimitCnt *int64 `json:"user_limit_cnt,omitempty" `

	/*
	   每人每日限购     */
	UserDailyLimitCnt *int64 `json:"user_daily_limit_cnt,omitempty" `

	/*
	   活动每日总限购     */
	DailyLimitCnt *int64 `json:"daily_limit_cnt,omitempty" `

	/*
	   活动每日总限购【小数位】     */
	DailyLimitCntDouble *string `json:"daily_limit_cnt_double,omitempty" `

	/*
	   每人每日限购【小数位】     */
	UserDailyLimitCntDouble *string `json:"user_daily_limit_cnt_double,omitempty" `

	/*
	   每人活动期间总限购【小数位】     */
	UserLimitCntDouble *string `json:"user_limit_cnt_double,omitempty" `

	/*
	   活动期间总限购【小数位】     */
	TotalLimitCntDouble *string `json:"total_limit_cnt_double,omitempty" `
}

func (s *AlibabaWdkMarketingItemdiscountQueryitemsLimitInfo) SetTotalLimitCnt(v int64) *AlibabaWdkMarketingItemdiscountQueryitemsLimitInfo {
	s.TotalLimitCnt = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryitemsLimitInfo) SetUserLimitCnt(v int64) *AlibabaWdkMarketingItemdiscountQueryitemsLimitInfo {
	s.UserLimitCnt = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryitemsLimitInfo) SetUserDailyLimitCnt(v int64) *AlibabaWdkMarketingItemdiscountQueryitemsLimitInfo {
	s.UserDailyLimitCnt = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryitemsLimitInfo) SetDailyLimitCnt(v int64) *AlibabaWdkMarketingItemdiscountQueryitemsLimitInfo {
	s.DailyLimitCnt = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryitemsLimitInfo) SetDailyLimitCntDouble(v string) *AlibabaWdkMarketingItemdiscountQueryitemsLimitInfo {
	s.DailyLimitCntDouble = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryitemsLimitInfo) SetUserDailyLimitCntDouble(v string) *AlibabaWdkMarketingItemdiscountQueryitemsLimitInfo {
	s.UserDailyLimitCntDouble = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryitemsLimitInfo) SetUserLimitCntDouble(v string) *AlibabaWdkMarketingItemdiscountQueryitemsLimitInfo {
	s.UserLimitCntDouble = &v
	return s
}
func (s *AlibabaWdkMarketingItemdiscountQueryitemsLimitInfo) SetTotalLimitCntDouble(v string) *AlibabaWdkMarketingItemdiscountQueryitemsLimitInfo {
	s.TotalLimitCntDouble = &v
	return s
}
